Page MenuHomePhabricator

Add "Skeirs" Gothic web font
Closed, ResolvedPublic

Description

A Gothic web font is needed. The Gothic script is used in relevant articles about the ancient Gothic language. Such a font can be extracted from the FreeSerif font.

Skeirs was finally made available in June 2015: «This font is licensed under the SIL Open Font License OFL-1.1».
The ZIP file contains an extremely small (35 KiB) TTF file.


Version: unspecified
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:54 AM
bzimport set Reference to bz50901.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Jul 7 2013, 9:16 PM

Why is this "lowest" priority?

(In reply to comment #1)

Why is this "lowest" priority?

Adding fonts does not have a high priority within the Wikimedia Foundation Language Engineering team at the moment. If you'd want to contribute, you can do so. Patches will be reviewed. Helpful documentation is available at https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts

(In reply to comment #2)

(In reply to comment #1)

Why is this "lowest" priority?

Adding fonts does not have a high priority within the Wikimedia Foundation
Language Engineering team at the moment. If you'd want to contribute, you can
do so. Patches will be reviewed. Helpful documentation is available at
https://www.mediawiki.org/wiki/Extension:
UniversalLanguageSelector#Adding_fonts

I would if I were a programmer or had access to g[err]it.

ori added a subscriber: ori.Feb 25 2015, 7:07 AM

The Unicode block for Gothic in FreeFont is apparently not very good, judging by a credible bug report which complains that it "makes reading the Gothic Wikipedia well impossible". Perhaps it would be a good idea to write to Robert Pfeffer and ask if he would consider releasing his Ulfilas font under a copyleft license.

ori added a comment.Feb 25 2015, 7:58 AM

I mistakenly assumed the Savannah bug thread that I linked to in my previous comment was in chronological order (oldest first). It is not. There is a reply to the initial report which suggests that things may not be as bad as all that.

Dzahn added a subscriber: Dzahn.May 29 2015, 10:36 PM

15:16 < Gothicspeaker> mutante: http://www.fontspace.com/robert-pfeffer/skeirs this is the font by the way
15:17 < mutante> Gothicspeaker: i see, so the licensing problem is probably that it's limited to non-commercial use
15:18 < Gothicspeaker> Yes, but he personally gave permission to have it used on the Gothic wikipedia
15:12 < Gothicspeaker> I personally e-mailed Robert Pfeffer and told him that this guy with this username didn't want to use his font Skeirs as a font for wikipedia

because it is only a free license for non-commercial use

15:12 < Gothicspeaker> mutante: Robert Pfeffer replied to me that he didn't really understand him as he made that font especially for the Gothic wikipedia
15:13 < Gothicspeaker> So now we can't even universally make that font available for every computer which views the gothic wikipedia.
15:13 < Gothicspeaker> Instead, all kinds of un-readable fonts are registered on operating systems to be used for the Gothic unicode automatically

15:22 < Gothicspeaker> mutante: This font would be good and is free to use: http://www.dafont.com/gothic1.font

15:37 < Gothicspeaker> mutante: This guy made some fonts too http://www.supakoo.com/eli/default.asp?p=fonts
15:37 < Gothicspeaker> mutante: And they are good read-able, but he didn't say anything about license and I can't find ways at his website to contact him

we want one of the above, after checking the licensing and then we would have to build a .deb package for it

15:42 < Gothicspeaker> I found something!
15:42 < Gothicspeaker> http://www.quivira-font.com/
15:42 < Gothicspeaker> quivira is a free font
15:42 < Gothicspeaker> it says on it website
15:42 < Gothicspeaker> and it has a Gothic font which is good read-able

MaxSem added a subscriber: MaxSem.May 29 2015, 10:48 PM

Per http://www.quivira-font.com/notes.php Quivra is not a free as in freedom font, as it doesn't permit modification.

Nemo_bis changed the task status from Open to Stalled.May 31 2015, 3:59 PM
Nemo_bis set Security to None.

If a freely licensed font is found, please edit the task description and reset the status to "open".

Bokareis changed the task status from Stalled to Open.EditedJun 11 2015, 11:37 AM

Hello,

After discussing with dr. Pfeffer he made his Skeirs font available for free use, commercial too. He mentions this on his website, from what I understand, it's mentioned when you hover your mouse over the download, I can't check it due to my mobile, go to:
http://robert-pfeffer.net/schriftarten/englisch/nachgeladener_rahmen.html?skeirs.html

I also asked him if he could change the license on other websites where it's mentioned.

Is it enough that he mentions it on his own website?

Ok, there was a misunderstanding. He mentioned it on his German page:

http://robert-pfeffer.net/schriftarten/index.html

Go to Gotisches Alphabet - skeirs, it says above the download link:

Skeirs kann frei verwendet werden.

He didn't add his font to Fontspace etc. So he can't change it there.

Bokareis

Bokareis added a comment.EditedJun 11 2015, 11:58 AM

He didn't really know how to mention it at first and where, I recommend that if you still have doubts that you contact him personally on his website by his e-mail mentioned there to verify it.

Thanks for discussing with the author!

Just to clarify for non-German readers:
http://robert-pfeffer.net/schriftarten/index.html says

  • "Soweit nicht anders angegeben, können sie für nichtkommerzielle Zwecke frei heruntergeladen und verwendet werden."
  • translation: "Unless otherwise stated, they can be freely downloaded and used for non-commercial use."

http://robert-pfeffer.net/schriftarten/skeirs.html says

  • "Skeirs kann frei verwendet werden."
  • translation: "Skeirs can be freely used."
Bokareis added a comment.EditedJun 11 2015, 12:06 PM

I just see that he changed it to:

"Skeirs kann auch kommerziell frei verwendet werden"

Skeirs can also commercially be free used.

Bokareis added a comment.EditedJun 11 2015, 12:12 PM

Ok, about Font modification he says this, maybe AKlapper can translate it as his German is better than mine I think:
"Modifiziert werden kann der Font meinetwegen insoweit, als er in ein Web-taugliches Format gebracht wird. Modifikationen an den Buchstaben, die dann womöglich immer noch unter meinem Namen ausgegeben werden, möchte ich eigentlich nicht. "

He is ok with modifying if it's to make it fit for the webformat, but not if his letters are completely changed.

If you want verification that his font can be modified to make it fit, you can send him an e-mail to get verification. He doesn't mention this on his website because he doesn't want to recommend people to change his font letters completely under his name.

Nemo_bis changed the task status from Open to Stalled.Jun 13 2015, 1:39 PM

He is ok with modifying if it's to make it fit for the webformat, but not if his letters are completely changed

This doesn't sound like a free license and we don't want to discover in X months from now meant something different from what thought. Please make him pick one of http://opensource.org/licenses/category

He should probably choose OFL http://opensource.org/licenses/OFL-1.1 which contains a clause «3) No Modified Version of the Font Software may use the Reserved Font
Name(s) unless explicit written permission is granted by the corresponding
Copyright Holder. This restriction only applies to the primary font name as
presented to the users.»

Bokareis added a comment.EditedJun 13 2015, 11:20 PM

Hello Nemo_bis,

I 'm very disappointed about the fact that you couldn't refer me to this website with font licenses from the beginning, may I ask why you didn't? Robert wanted to change the license of his Skeirs font to fully free especially for the future perspective that it could become a wikipedia font in that way, when he asked me where to put it or how I could only tell him to mention that it would be free for commercial use too, because you never provided me with a page with licenses which a simple google search couldn't give me. I 'm mostly a layman in regard to these things so you need to explain everything clearly to me. I have forwarded your message to Robert.

My question furthermore is if he chooses OFL can it still be used to createa web font for wikipedia?
Bokareis

I'm sorry I wasn't clear; I admit I sometimes given for granted what's just jargon. However, https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts was linked above, almost 2 years ago, and recommends OFL.

Bokareis changed the task status from Stalled to Open.EditedJun 14 2015, 9:36 PM

Hello all,

Robert informed me that his website now shows that his Skeirs font now has the OFL license. Can his font now be used to create a web font? If not, can you give VERY CLEAR instructions how this is possible, it is not very nice for Robert if he needs to constantly change his license in order to make it a web font because of miscommunications here.

Bokareis

Hurray! Thank you!

https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector#Adding_fonts looks extremely clear to me, if it isn't *please* comment on the talk page because on my own I have no idea how to clarify further.

Nemo_bis renamed this task from A Gothic web font is needed to Add "Skeirs" Gothic web font.Jun 15 2015, 8:09 AM
Nemo_bis updated the task description. (Show Details)

Change 218316 had a related patch set uploaded (by KartikMistry):
Add Gothic font

https://gerrit.wikimedia.org/r/218316

Amire80 closed this task as Resolved.Jul 11 2015, 9:55 AM
Amire80 assigned this task to KartikMistry.
Amire80 removed a project: Patch-For-Review.

Change 218316 merged by jenkins-bot:
Add Gothic font

https://gerrit.wikimedia.org/r/218316